{% load static %}
<!DOCTYPE html>
<html lang="en">
{% block content %}
    <head>
        <style>
            table {
              font-family: arial, sans-serif;
              border-collapse: collapse;
              width: 100%;
            }
            
            td, th {
              border: 1px solid #dddddd;
              text-align: left;
              padding: 8px;
            }
            
            tr:nth-child(even) {
              background-color: #dddddd;
            }
            </style>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Daftar Transaksi RS</title>
    </head>
    <body style="text-align: center;">
        <h2>Daftar Transaksi RS:</h2>
        {% if data %}
            <table>
                <tr>
                    <th>ID Transaksi</th>
                    <th>Kode Pasien</th>
                    <th>Tanggal Pembayaran</th>
                    <th>Waktu Pembayaran</th>
                    <th>Tanggal Masuk</th>
                    <th>Total Biaya</th>
                    <th>Status Bayar</th>
                    <th>Action</th>
                </tr>
            {% for baris in data%}
                <tr>
                    <td>{{ baris.idtransaksi }}</td>
                    <td>{{ baris.kodepasien }}</td>
                    <td>{{ baris.tanggalpembayaran }}</td>
                    <td>{{ baris.waktupembayaran }}</td>
                    <td>{{ baris.tglmasuk }}</td>
                    <td>{{ baris.totalbiaya }}</td>
                    <td>{{ baris.statusbayar }}</td>
                    <td>
                        <a href="{% url 'transaksi:delete_transaksi' no=baris.idtransaksi %}">Delete</a>
                        <a href="{% url 'transaksi:update_transaksi' no=baris.idtransaksi %}">Update</a>
                    </td>

                    {% csrf_token %}
                </tr>
            <br/>
            {% endfor %}
        </table>
    {% endif %}
    </body>
    {% endblock content %}
</html>